<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />
<meta content="documentation website for Medusa Nodes addon" name="description" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Medusa Nodes Documentation &mdash; Medusa Nodes 1.1.0-beta documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/custom.css" type="text/css" />
    <link rel="shortcut icon" href="_static/medusa_nodes_favicon.ico"/>
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="About" href="about.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="#" class="icon icon-home"> Medusa Nodes
            <img src="_static/medusa_node_logo_animation_003.gif" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.1.0-beta
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="about.html">About</a></li>
<li class="toctree-l1"><a class="reference internal" href="release_notes.html">Release Notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="introduction.html">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="nodes.html">Nodes</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">Medusa Nodes</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home"></a></li>
      <li class="breadcrumb-item active">Medusa Nodes Documentation</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <figure class="align-center">
<a class="reference internal image-reference" href="_images/hero1024.jpg"><img alt="hero banner" src="_images/hero1024.jpg" style="width: 100%;" /></a>
</figure>
<hr class="docutils" />
<section id="medusa-nodes-documentation">
<h1>Medusa Nodes Documentation<a class="headerlink" href="#medusa-nodes-documentation" title="Permalink to this headline"></a></h1>
<p class="linemarker linemarker-16"><strong>Medusa Nodes</strong> - an addon for procedural hair creation, based entirely on
<a class="reference external" href="https://docs.blender.org/manual/en/latest/modeling/geometry_nodes/index.html">Geometry Nodes</a>
to facilitate procedural hair creation. The addon provides ability to generate and manipulate different hair styles inside the Blender.</p>
<p class="linemarker linemarker-20">Medusa Nodes features custom-made Geometry Nodes <a class="reference internal" href="nodes.html"><span class="doc">node groups</span></a>, which are purposely made to achieve realistic deformations and visualization of hair in 3D.</p>
<p class="linemarker linemarker-22">The addon is streamlined by the help of addons own hierarchy panel,
where one can easily view and edit the parameters of all the different node groups: <a class="reference external" href="https://docs.python.org/3/glossary.html#term-generator" title="(in Python v3.12)"><span class="xref std std-term">generator</span></a>, <span class="xref std std-term">deformers</span> and <span class="xref std std-term">visualizer</span>.</p>
<p class="linemarker linemarker-25">Check out the <a class="reference internal" href="about.html"><span class="doc">About</span></a> section for further information about this project.</p>
<section id="getting-started">
<h2>Getting Started<a class="headerlink" href="#getting-started" title="Permalink to this headline"></a></h2>
<ul>
<li><p class="linemarker linemarker-31"><strong>Installation:</strong> check out the quick <a class="reference internal" href="installation.html"><span class="doc">installation</span></a> guide.</p></li>
<li><p class="linemarker linemarker-32"><strong>Tutorials:</strong> two-part introductory tutorial series are available to help you get familiar with Medusa Nodes:</p>
<blockquote>
<div><iframe width="560" height="315" src="https://www.youtube.com/embed/videoseries?si=Lm0G3H38eKc4ON_P&amp;list=PLUMDBJubYLVxjw_d-9h0zDguw0FTbS4LU" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe></div></blockquote>
</li>
<li><p class="linemarker linemarker-38"><strong>Community Discussions:</strong> get to know with the community on <a class="reference external" href="https://blenderartists.org/t/hair-medusa-nodes">Blender Artists</a> for insights, support, and to share your experiences with Medusa Nodes.</p></li>
</ul>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p class="linemarker linemarker-44">The addon as well as it’s documentation are subjects of continuous development.</p>
</div>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p class="linemarker linemarker-48">Keep in mind, that the Medusa Nodes addon is in it’s <strong>beta</strong> development phase, may exhibit some bugs and <strong>not yet production-ready</strong>!</p>
</div>
</section>
<section id="feedback-and-support">
<h2>Feedback and Support<a class="headerlink" href="#feedback-and-support" title="Permalink to this headline"></a></h2>
<p class="linemarker linemarker-55">Community feedback is greatly appreciated. Feel free to report bugs, suggest features, or discuss any issues on the <a class="reference external" href="https://github.com/.../issues">issue tracker</a>.</p>
</section>
<section id="contents">
<h2>Contents<a class="headerlink" href="#contents" title="Permalink to this headline"></a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="about.html">About</a><ul>
<li class="toctree-l2"><a class="reference internal" href="about.html#history">History</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="release_notes.html">Release Notes</a><ul>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#introduction">Introduction</a></li>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#freezing-system">Freezing System</a></li>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#simulation-experimental">Simulation (Experimental)</a></li>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#speed-improvements">Speed Improvements</a><ul>
<li class="toctree-l3"><a class="reference internal" href="release_notes.html#comparison-with-blender">Comparison with Blender</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#surface-deformation">Surface Deformation</a></li>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#new-nodes">New Nodes</a></li>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#node-improvements">Node Improvements</a></li>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#improved-groom-initialization">Improved Groom Initialization</a></li>
<li class="toctree-l2"><a class="reference internal" href="release_notes.html#ui-and-functionality">UI and Functionality</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="introduction.html">Introduction</a><ul>
<li class="toctree-l2"><a class="reference internal" href="introduction.html#workflow">Workflow</a><ul>
<li class="toctree-l3"><a class="reference internal" href="introduction.html#object-types">Object Types</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nodes.html">Nodes</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nodes.html#main-nodes">Main Nodes</a></li>
<li class="toctree-l2"><a class="reference internal" href="nodes.html#initials">Initials</a></li>
<li class="toctree-l2"><a class="reference internal" href="nodes.html#deformers">Deformers</a></li>
<li class="toctree-l2"><a class="reference internal" href="nodes.html#utility">Utility</a></li>
<li class="toctree-l2"><a class="reference internal" href="nodes.html#simulation">Simulation</a></li>
<li class="toctree-l2"><a class="reference internal" href="nodes.html#mask-groups">Mask Groups</a></li>
</ul>
</li>
</ul>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="about.html" class="btn btn-neutral float-right" title="About" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Medusa Nodes.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>